/* CHANGE */

.cards-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
  margin-top: 48px;
}

.cards-container.non-space-top{
	margin-top: 0;
	margin-bottom: 48px;
	
}

.cards-container.list{
    display: flex;
    gap: 0rem;
}





.cards-container .card{
    border:none!important; 
    box-shadow: 0px 5px 5px rgba(0,0,0,.15);
    border-radius: 20px;
    overflow: hidden;
    padding-bottom: 12px;
    width: 100%;
    margin: 0;
    text-decoration: none!important;
}

.cards-container .card:hover{
    box-shadow: 0px 5px 5px rgba(0,0,0,.4);  
}

.cards-container.list .card{
    display: flex;
    align-items: center;
    flex-direction: row;
    margin: 0px 0px 10px 0px;
    padding: 10px;
    gap: 1rem;
    width: 100%;
}


.cards-container.list .card>*:not(.image) {
    padding: 0px;
}


.cards-container .card .image{
    position:relative;
    height: auto;
    min-height: auto;
    margin-bottom: 12px;
}

.cards-container.list .card .image{
    flex:0 auto;
    width: 100px;
    margin:0px;
}


.cards-container .card-imageBG{
  aspect-ratio: 690 / 364;
  width: 100%;
  background: #f9f7f4;
  overflow: hidden;
  /*max-width: 440px; contains it for when switching to list view*/
}


.cards-container.list .card-imageBG{
  aspect-ratio: 1 / 1;
  border-radius: 10px;
}


.cards-container.list .card-imageBG img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}


.cards-container .card .card-logo{
    position:absolute;
    bottom: 12px;
    left:14px;
    aspect-ratio: 596 / 340;
    width: 98px;
    display: flex;
    align-items: left;
    background-image: url('/assets/images/logos/rewards.svg');
    background-size:contain;
    background-repeat: no-repeat;
}


.cards-container.list .card .card-logo{
    width: 70%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    bottom:auto;

}



.cards-container .card .image img:not(.logo) {
    align-self: center;
}
.cards-container .card .card-logo img{
    width: 76px!important;
    align-self: center;
    margin: 0px 5px;
}

.cards-container.list .card .card-logo img{
    width: 85%!important;
    margin:0px;
}


.cards-container .card p{
    margin:0px;padding:0px;
    text-align: left!important;
    flex-grow:0;
    font-weight: 600;
}

.cards-container .card h2{
    font-size: 14px;
    font-weight: 700;
    line-height: 15px;
    text-align: left;
    margin:0px;
}

.cards-container.list .card .offer{
    flex: 1 0
}

.cards-container .card>*:not(.image) {
    padding: 0 16px;
}

.load-more-cat, .load-more-cards {
    margin-top: 48px;
    margin-bottom: 56px;
    text-align: center;
}

.js-cm-submit-button:focus, .button:focus {
    border: 2px solid  #777571;
}


@media (max-width: 1024px) {

    .cards-container .card:nth-child(2n+1), .cards-container .card, .cards-container .card:nth-child(3n+1), .cards-container .card {
        width: 100%;
        margin: 0;
        grid-template-columns: repeat(2, 1fr);
    }

    .cards-container{
        grid-template-columns: repeat(2, 1fr);
        gap: 1.5rem;
    }
}


@media (max-width: 600px) {
    .cards-container .card:nth-child(2n+1), .cards-container .card, .cards-container .card:nth-child(3n+1), .cards-container .card {
        width: 100%;
        margin: 0;
        grid-template-columns: repeat(2, 1fr);
    }

    .cards-container{
        grid-template-columns: repeat(1, 1fr);
        gap: 1rem;
    }    

    .cards-container.list .card {
        box-shadow: none;
        border-bottom: 1px solid #ddd!important;
        border-radius: 0px;
        margin: 0px;
        padding: 16px 10px;
    }

     .cards-container.list .card .card-logo{
         filter: drop-shadow(0px 0px 4px rgba(0, 0, 0, 0.15));
        left:0%;
        transform: translate(0%, -50%);
        width:100%;
     }

    .cards-container.list .card .image {
        width: 70px; 
    }

     .cards-container.list .card .card-imageBG{
        display: none;
     }
}
